import 'package:json_annotation/json_annotation.dart';
import 'package:odf/bean/racks_list_bean.dart';

part 'racks_bean.g.dart';

@JsonSerializable(explicitToJson: true)
class RacksBean {
  int? pageSize;
  int? pageIndex;
  int? totalNum;
  int? totalPage;
  List<RacksListBean> result;


  RacksBean(this.pageSize, this.pageIndex, this.totalNum, this.totalPage, this.result);

  factory RacksBean.fromJson(Map<String, dynamic> json) => _$RacksBeanFromJson(json);

  Map<String, dynamic> toJson() => _$RacksBeanToJson(this);
}
